/*
Inbox

Inbox API can be used for low level integration and enables direct communication with you contact base.   In most cases you will use our interaction templates for communication, but our api also allows you to send message directly.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package inboxapi

import (
	"encoding/json"
)

// checks if the ContactsQualMetrics type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &ContactsQualMetrics{}

// ContactsQualMetrics struct for ContactsQualMetrics
type ContactsQualMetrics struct {
	ActiveAmount *int32 `json:"active_amount,omitempty"`
}

// NewContactsQualMetrics instantiates a new ContactsQualMetrics object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewContactsQualMetrics() *ContactsQualMetrics {
	this := ContactsQualMetrics{}
	return &this
}

// NewContactsQualMetricsWithDefaults instantiates a new ContactsQualMetrics object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewContactsQualMetricsWithDefaults() *ContactsQualMetrics {
	this := ContactsQualMetrics{}
	return &this
}

// GetActiveAmount returns the ActiveAmount field value if set, zero value otherwise.
func (o *ContactsQualMetrics) GetActiveAmount() int32 {
	if o == nil || IsNil(o.ActiveAmount) {
		var ret int32
		return ret
	}
	return *o.ActiveAmount
}

// GetActiveAmountOk returns a tuple with the ActiveAmount field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *ContactsQualMetrics) GetActiveAmountOk() (*int32, bool) {
	if o == nil || IsNil(o.ActiveAmount) {
		return nil, false
	}
	return o.ActiveAmount, true
}

// HasActiveAmount returns a boolean if a field has been set.
func (o *ContactsQualMetrics) HasActiveAmount() bool {
	if o != nil && !IsNil(o.ActiveAmount) {
		return true
	}

	return false
}

// SetActiveAmount gets a reference to the given int32 and assigns it to the ActiveAmount field.
func (o *ContactsQualMetrics) SetActiveAmount(v int32) {
	o.ActiveAmount = &v
}

func (o ContactsQualMetrics) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o ContactsQualMetrics) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.ActiveAmount) {
		toSerialize["active_amount"] = o.ActiveAmount
	}
	return toSerialize, nil
}

type NullableContactsQualMetrics struct {
	value *ContactsQualMetrics
	isSet bool
}

func (v NullableContactsQualMetrics) Get() *ContactsQualMetrics {
	return v.value
}

func (v *NullableContactsQualMetrics) Set(val *ContactsQualMetrics) {
	v.value = val
	v.isSet = true
}

func (v NullableContactsQualMetrics) IsSet() bool {
	return v.isSet
}

func (v *NullableContactsQualMetrics) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableContactsQualMetrics(val *ContactsQualMetrics) *NullableContactsQualMetrics {
	return &NullableContactsQualMetrics{value: val, isSet: true}
}

func (v NullableContactsQualMetrics) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableContactsQualMetrics) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


